/******************************************************************************
 * Module Name : $RCSfile: MutableCollectionTreeNode.java,v $
 *
 * Description : User node which handles being string edited.
 *
 * Updates:
 *   $Log: MutableCollectionTreeNode.java,v $
 *   Revision 1.3  1999/10/24 22:37:56  Jonathan
 *   Proper CVS headers.  Fix A-018/19/20
 *
 *
 * Copyright Notice:
 * (c) 1999. This source code was developed by Jonathan Couper and friends. 
 * 	      	  You may use it for any purpose.  No guarantees given or implied.
 *****************************************************************************/ 
package standup.views;

import javax.swing.tree.*;
import standup.parse.*;

public class MutableCollectionTreeNode
extends DefaultMutableTreeNode 
{
	public MutableCollectionTreeNode (Object userObject, boolean allowsChildren) {
		super (userObject, allowsChildren);
	}
		
	public void setUserObject (Object newUserObject) {
		if (newUserObject instanceof Collection) {
			super.setUserObject (newUserObject);

		} else if (getUserObject() instanceof Collection) {
			((Collection) getUserObject()).setName (newUserObject.toString());
		}
	}
}